<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class WxpayQueryContentBuilder extends CI_Model
{

    private $appid; // 微信分配的公众账号ID
    private $mch_id; // 微信支付分配的商户号
    private $nonce_str; // 随机字符串，不长于32位。推荐随机数生成算法
    private $sign; // 签名，详见签名生成算法
    private $bill_date; // 下载对账单的日期，格式：20140603
    private $bill_type;
    /*
    ALL（默认值），返回当日所有订单信息（不含充值退款订单）
    SUCCESS，返回当日成功支付的订单（不含充值退款订单）
    REFUND，返回当日退款订单（不含充值退款订单）
    RECHARGE_REFUND，返回当日充值退款订单
    */
    private $tar_type;  // 非必传参数，固定值：GZIP，返回格式为.gzip的压缩包账单。不传则默认为数据流形式。

    private $bizContentarr = array();

    private $bizContent = NULL;

    public function getBizContent($arr=false)
    {
        if(!empty($this->bizContentarr)){
            $this->bizContent = json_encode($this->bizContentarr); // 5.4增加的常量 JSON_UNESCAPED_UNICODE
        }
        $ret = ($arr===false) ? $this->bizContent : $this->bizContentarr ;
        return $ret;
    }

    public function set_bill_date($bill_date)
    {
        $this->bill_date = $bill_date;
        $this->bizContentarr['bill_date'] = $bill_date;
    }

    public function set_bill_type($bill_type)
    {
        $this->bill_type = $bill_type;
        $this->bizContentarr['bill_type'] = $bill_type;
    }

    public function set_tar_type($tar_type)
    {
        $this->tar_type = $tar_type;
        $this->bizContentarr['tar_type'] = $tar_type;
    }

}

/* End of file WxpayQueryContentBuilder.php */

?>
